/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2006, 2010. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client;

import org.eclipse.core.runtime.IStatus;

/**
 * Exception indicating a failure locking a copy file area (its metadata)

 * @since 3.0
 * @SubclassNO Should not be subclassed above the Client API.
 */

@SuppressWarnings("serial") 
public class CopyFileAreaLockedByOtherProcess extends FileSystemStatusException {

    public CopyFileAreaLockedByOtherProcess(IStatus status) {
        super(status);
    }

    public CopyFileAreaLockedByOtherProcess(String message, Throwable cause) {
        super(message, cause);
    }
}
