/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2013. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client;

import org.eclipse.core.runtime.IStatus;

/**
 * Exception indicating a failure reading a file at the Eclipse level
 * <p>
 * @since 4.0.5
 * @SubclassNO Should not be subclassed above the Client API.
 */
public class EclipseReadException extends FileSystemStatusException {
    private static final long serialVersionUID = 1L;

    public EclipseReadException(IStatus status) {
        super(status);
    }
    
    public EclipseReadException(String message, Throwable cause) {
        super(message, cause);
    }
}
