/*******************************************************************************
 * Licensed Materials - Property of IBM
 * © Copyright IBM Corporation 2015. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client;

import com.ibm.team.repository.client.ITeamRepository;

/**
 * A class to provide API that is related to the "Component Hierarchy" feature.
 *
 * @since 0.11.0 (RTC 6.0)
 */
public interface IComponentHierarchyManager {

    /**
     * Checks if a given repository has the "Hierarchical Components"
     * feature enabled.
     * 
     * @param repo The repository in question. Never {@code null}.
     * 
     * @return {@code true} if the repository has the "Hierarchical Components"
     *         feature enabled.
     */
    public boolean isHierarchicalComponentsEnabled(ITeamRepository repo);
}
