/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2011. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client;

import com.ibm.team.filesystem.client.operations.ILoadOperation;

/**
 * Defines a filter that can be supplied to an {@link ILoadOperation} in order to filter
 * what gets loaded by the operation.
 * 
 * @since 0.8?
 */
public interface ILoadFilter {

    boolean include(String name);
    
    boolean sameFilter(ILoadFilter otherFilter);
    
}
