/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2006, 2008. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client;

/**
 * A listener which is notified when changes occur to {@link ILocalChangeManager} controlled
 * files.
 * 
 * @since 0.6
 * @NoImplement This interface is not intended to be implemented by clients.
 */
public interface ILocalChangeListener {
    
    /**
     * Called when local changes are detected to resources managed by the 
     * {@link ILocalChangeManager}.
     * 
     * @param event describing the changes.
     */
    public void changeOccurred(ILocalChangeEvent event);
}
