/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client;

import java.util.Map;

/**
 * Properties stored in the metadata.
 */
public interface IMetadataProperties {

    /**
     * @return The properties defined when the file/folder/link was
     * loaded on disk.  If this file/folder/link has never been
     * committed, the original properties would be an empty map.
     * Never <code>null</code>
     */
    public Map<String, String> getOriginalProperties();
    
    /**
     * @return The properties defined for the file/folder/link when it
     * is to be next committed.  If there have been no changes to the
     * properties from when it was loaded (or no properties set when
     * its a new item) then this would be the same as {@link #getOriginalProperties()}
     * Never <code>null</code>
     */
    public Map<String, String> getCurrentProperties();

}
