/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client.daemon;

import org.eclipse.core.runtime.Plugin;

import com.ibm.team.repository.common.UUID;

public class DaemonPlugin extends Plugin {
	
	public static final String PLUGIN_ID= "com.ibm.team.filesystem.client.daemon";

	/** A string that uniquely identifies this process. Used as a stand-in for 
	 * a PID. 
	 */
	private static String processUuid;
	
	public DaemonPlugin() {
	}

	
	/** Return the unique ID of this process. 
	 */
	public static synchronized String getProcessUuid() {
		if (processUuid == null) {
			processUuid = UUID.generate().getUuidValue();
		}
		
		return processUuid;
	}
}
