/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2014. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client.daemon;

import java.io.IOException;

import com.ibm.team.filesystem.client.daemon.events.IHttpServerEvent;
import com.ibm.team.filesystem.client.daemon.events.ILightweightEventListener;

public interface IHttpServer {

	public abstract int getLocalPort();

	public abstract void shutdown() throws IOException;

	public void addListener(ILightweightEventListener<? super IHttpServerEvent> l);

	public abstract void removeListener(ILightweightEventListener<? super IHttpServerEvent>  l);

	/** Return <code>true</code> if there are one or more open connections. */
	public abstract boolean hasConnections();

	
	/**
	 * Check to see if the receiver is handling a request. With HTTP-KeepAlive 
	 * connections, a generic HTTP connection is not considered to be in a 
	 * request unless a method has been called. CLI connections and 
	 * notification channel connections are always considered working until 
	 * the client disconnects. 
	 */
	public boolean isWorking();
}