/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2011. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.filesystem.client.daemon;

import com.ibm.team.filesystem.client.daemon.events.ILightweightEvent;
import com.ibm.team.filesystem.client.internal.http.HttpRequest;
import com.ibm.team.filesystem.client.internal.http.HttpResponse;

public class JSONHandlerEvent implements ILightweightEvent {
	private final HttpRequest request;
	private final HttpResponse response;

	public JSONHandlerEvent(HttpRequest req, HttpResponse resp) {
		this.request = req;
		this.response = resp;
	}

	public HttpRequest getRequest() {
		return request;
	}

	public HttpResponse getResponse() {
		return response;
	}

	public int getPeerPort() {
		return request.getPeerPort();
	}
}
