/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************//*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/package com.ibm.team.filesystem.client.daemon;

import com.ibm.team.filesystem.client.internal.http.HttpRequest;
import com.ibm.team.filesystem.client.internal.http.HttpResponse;
import com.ibm.team.repository.common.transport.IParameterWrapper;

/**
 * Emitted when a request has been demangled by the {@link JSONHandler}. 
 */
public class JSONHandlerRequestEvent extends JSONHandlerEvent {
	private final Object[] params;
	private final String progressKey;
	
	public JSONHandlerRequestEvent(HttpRequest req, HttpResponse resp, Object[] params, String progressKey) {
		super(req, resp);
		this.params = params;
		this.progressKey = progressKey;
	}

	public IParameterWrapper getParams() {
		if (params == null) {
			return null;
		}

		// We reserialize the parameters rather than grab the original byte 
		// array from the request because the request stream is exhausted by  
		// reading. 
		if (params.length >= 1) {
		    if (params[0] == null) {
		        return null;
		    }
		    
			if (params[0] instanceof IParameterWrapper) {
				return (IParameterWrapper) params[0];
			} else {
				return null;
			}
		}
		
		return null;
	}
	
	public String getProgressKey() {
	    return progressKey;
	}
}
