/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client.daemon;

/**
 * Allow {@link JSONHandler} receivers to gain access to the server and 
 * receiver.
 */
public abstract class JSONReceiver {
	/**
	 * Called to initialize the a service before its first call. 
	 * 
	 * @param controller Provides control over the server.
	 * @param handler The handler that instantiated the service.
	 */
	public void installationNotification(IServerController controller, JSONHandler handler) {}
	
	/**
	 * Called when the server has shutdown. Allows for cleanup.
	 */
	public void shutdownNotification() {}
}
