/*******************************************************************************
 * Licensed Materials - Property of IBM 
 * (c) Copyright IBM Corporation 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights: Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************************************/
package com.ibm.team.filesystem.client.workitems;

import org.eclipse.core.runtime.IProgressMonitor;

import com.ibm.team.repository.common.TeamRepositoryException;
import com.ibm.team.workitem.common.model.IWorkItemHandle;

/**
 * Provide client-side access to code reviews.  
 */
public interface ICodeReviewClient {
	
	/**
	 * Return a string representation of URI that is used to access code 
	 * reviews. 
	 */
	public String makeCodeReviewUri(IWorkItemHandle wi, IProgressMonitor mon) throws TeamRepositoryException;

}
