/*******************************************************************************
 * Licensed Materials - Property of IBM 
 * (c) Copyright IBM Corporation 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights: Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************************************/
package com.ibm.team.filesystem.client.workitems.internal;

import org.eclipse.core.runtime.IProgressMonitor;

import com.ibm.team.filesystem.client.workitems.ICodeReviewClient;
import com.ibm.team.filesystem.reviews.common.CodeReviewUtil;
import com.ibm.team.filesystem.reviews.common.ICodeReview;
import com.ibm.team.filesystem.reviews.common.ICodeReviewService;
import com.ibm.team.repository.client.ITeamRepository;
import com.ibm.team.repository.client.util.IClientLibraryContext;
import com.ibm.team.repository.common.TeamRepositoryException;
import com.ibm.team.workitem.common.model.IWorkItemHandle;

public class CodeReviewClient implements ICodeReviewClient {

	private ICodeReviewService crSvc;
	private ITeamRepository repo;

	public CodeReviewClient(IClientLibraryContext context) {
		this.repo = context.teamRepository();
		this.crSvc = (ICodeReviewService) context.getServiceInterface(ICodeReviewService.class);
	}
	
	@Override
	public String makeCodeReviewUri(IWorkItemHandle wi, IProgressMonitor mon) throws TeamRepositoryException {
		ICodeReview review = this.crSvc.findReviewByWorkItem(wi, null);
		if (review == null) {
			return null;
		}
		
		return CodeReviewUtil.makeCodeReviewUri(repo.getRepositoryURI(), review, null);
	}

}
