/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2011. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client.workitems.operations;

import com.ibm.team.filesystem.client.operations.DilemmaHandler;
import com.ibm.team.filesystem.client.operations.IDilemmaHandler;

public class AbstractFilesystemWorkItemDilemmaHandler extends DilemmaHandler {
	/**
	 * Called when work items are unreachable due to changes in permissions or
	 *  deletions.
	 *  
	 * @param numUnreachable The number of unreachable work items.
	 * @param total The total number of work items being accessed.
	 * @return One of {@link IDilemmaHandler#CONTINUE} (continue the operation with only
	 *  the reachable work items), {@link IDilemmaHandler#CANCEL} (cancel the operation), 
	 *  {@link IDilemmaHandler#FAIL} (fail the operation with an error).
	 */
	public int workItemsUnreachable(int numUnreachable, int total) {
		return IDilemmaHandler.FAIL;
	}
}
