/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2011. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client.workitems.operations;

import com.ibm.team.filesystem.client.operations.DeliverDilemmaHandler;

/**
 * Dilemma handler to provide assistance in dilemmas related to combined deliver and
 *  fix operations.
 */
public class DeliverAndFixDilemmaHandler extends AbstractFilesystemWorkItemDilemmaHandler {
	private static DeliverAndFixDilemmaHandler instance;
	
	public static DeliverAndFixDilemmaHandler getDefault() {
		if (instance == null) {
			instance = new DeliverAndFixDilemmaHandler();
		}
		
		return instance;
	}
	
	protected DeliverAndFixDilemmaHandler() {
	}
	
	/**
	 * The deliver dilemma handler provides assistance in dilemmas related to 
	 *  delivering.
	 */
	public DeliverDilemmaHandler getDeliverDilemmaHandler() {
		return DeliverDilemmaHandler.getDefault();
	}
}
