/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2011. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client.workitems.operations;

import com.ibm.team.filesystem.client.operations.SuspendDilemmaHandler;

/**
 * Dilemma handler to provide assistance in dilemmas related to submit for
 *  review operations.
 */
public class SubmitForReviewDilemmaHandler extends
		AbstractFilesystemWorkItemDilemmaHandler {

	private static SubmitForReviewDilemmaHandler instance;
	
	public static SubmitForReviewDilemmaHandler getDefault() {
		if (instance == null) {
			instance = new SubmitForReviewDilemmaHandler();
		}
		
		return instance;
	}
	
	protected SubmitForReviewDilemmaHandler() {
	}
	
	/**
	 * The suspend dilemma handler provides assistance in dilemmas related
	 *  to suspending change sets.
	 */
	public SuspendDilemmaHandler getSuspendDilemmaHandler() {
		return SuspendDilemmaHandler.getDefault();
	}
}
