/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client.workitems.rest.parameters;

import com.ibm.team.filesystem.client.internal.rest.IValidatingParameterWrapper;
import com.ibm.team.filesystem.client.internal.rest.ParmValidation;
import com.ibm.team.filesystem.client.rest.parameters.ParmsWorkspace;

/**
 * Provides a mapping of a group of change sets to a source workspace
 * connection.
 */
public class ParmsChangeSetsToSource implements IValidatingParameterWrapper {
	/**
	 * The change set ids.
	 */
	public String[] changeSetIds;

	/**
	 * The workspace connection id the change sets belong to.
	 */
	public ParmsWorkspace source;
	
	public void validate(String requestName, Object... path) {
		ParmValidation.requiredValue(source, requestName, path, "source"); //$NON-NLS-1$
		ParmValidation.requiredArray(changeSetIds, requestName, path,
				"changeSetIds"); //$NON-NLS-1$
	}

}
