	/*******************************************************************************
	 * Licensed Materials - Property of IBM 
	 * (c) Copyright IBM Corporation 2009, 2013. All Rights Reserved.
	 * 
	 * Note to U.S. Government Users Restricted Rights: Use, duplication or
	 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
	 ******************************************************************************/
	package com.ibm.team.filesystem.client.workitems.rest.parameters;
	
	import com.ibm.team.filesystem.client.internal.rest.IValidatingParameterWrapper;
	import com.ibm.team.filesystem.client.internal.rest.ParmValidation;
	
	
	public final class ParmsPostChangeSetWorkItem implements IValidatingParameterWrapper {
	
		/**
		 * URL for the repository that contains the workspace and the change sets to complete
		 */
		public String repositoryUrl;
	
		/**
		 * URL for the repository that contains the workitem if the <wi>@<repo> syntax is used. 
		 * Specifying a value for 'wiRepository' will cause a CS to CR link to be created or removed. 
		 * The value of 'wiRepositoryUrl' may be null or same as the 'repositoryUrl', in that case a CS to WI link will be created. 
		 */
		public String wiRepositoryUrl;
	
		/**
		 * The change set id to which the work item will be associated.
		 */
		public String changeSetId;
	
		/**
		 * The work item id.
		 */
		public String workItemItemId;
	
		/**
		 * The workspace id containing the change set being attached (optional)
		 */
		public String workspaceId;
	
		public void validate(String requestName, Object... path) {
			ParmValidation.requiredValue(repositoryUrl, requestName, path, "repositoryUrl"); //$NON-NLS-1$
			ParmValidation.requiredValue(changeSetId, requestName, path, "changeSetId"); //$NON-NLS-1$
			ParmValidation.requiredValue(workItemItemId, requestName, path, "workItemItemId"); //$NON-NLS-1$
		}
	}