/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2014. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client.workitems.rest.parameters;

import com.ibm.team.filesystem.client.internal.rest.IValidatingParameterWrapper;
import com.ibm.team.filesystem.client.internal.rest.ParmValidation;

public class ParmsRefreshItems implements IValidatingParameterWrapper {
    
    /**
     * Repository URL. Required.
     */
    public String repositoryUrl;
    
    /**
     * The id of the work items to be refreshed
     */
    public String[] workItemIds;
    
    @Override
    public void validate(String requestName, Object... path) {
        ParmValidation.requiredValue(repositoryUrl, requestName, path, "repositoryUrl"); //$NON-NLS-1$
        ParmValidation.requiredArray(workItemIds, requestName, path, "workItemIds"); //$NON-NLS-1$
    }

}
