/*******************************************************************************
 * Licensed Materials - Property of IBM 
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights: Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************************************/
package com.ibm.team.filesystem.client.workitems.rest.parameters;

import com.ibm.team.filesystem.client.internal.rest.IValidatingParameterWrapper;
import com.ibm.team.filesystem.client.internal.rest.ParmValidation;
import com.ibm.team.filesystem.client.rest.parameters.ParmsChangeSet;


	public class ParmsWorkItemHierarchy implements IValidatingParameterWrapper {
		
		public static final int UNBOUNDED = -1;
		
	    /**
	     * Repository URL. Required.
	     */
	    public String repositoryUrl;

		/**
		 * Max search depth, or <code>UNBOUNDED</code>
		 */
		public int searchDepth = 0;

		/**
		 * Work items to search.
		 */
	    public ParmsWorkItem[] workItems;

	    /**
	     * Change sets to search
	     */
	    public ParmsChangeSet[] changeSets;
	    
	    public void validate(String requestName, Object ... path) {
	        ParmValidation.requiredValue(repositoryUrl, requestName, path, "repositoryUrl"); //$NON-NLS-1$
	    }
	}
