/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
#include <stdlib.h>

#include "com_ibm_team_filesystem_client_internal_listen_LocalFilesystemListener.h"
#include "listener.h"

#ifdef __cplusplus
extern "C" {
#endif

/*
 * Class:     com_ibm_team_filesystem_client_internal_listen_LocalFilesystemListener
 * Method:    init
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_com_ibm_team_filesystem_client_internal_listen_LocalFilesystemListener_init
  (JNIEnv *env, jclass cls)
{
	init();
}

/*
 * Class:     com_ibm_team_filesystem_client_internal_listen_LocalFilesystemListener
 * Method:    addDirectory
 * Signature: (Ljava/lang/String;)V
 */
JNIEXPORT void JNICALL Java_com_ibm_team_filesystem_client_internal_listen_LocalFilesystemListener_addDirectory
  (JNIEnv *env, jclass cls, jstring dir)
{
	const char* szdir = (*env)->GetStringUTFChars(env,dir,0);
	watch_all_subdirs(szdir);
	(*env)->ReleaseStringUTFChars(env,dir,szdir);
}

/*
 * Class:     com_ibm_team_filesystem_client_internal_listen_LocalFilesystemListener
 * Method:    getNextChange
 * Signature: ()Ljava/lang/String;
 */
JNIEXPORT jstring JNICALL Java_com_ibm_team_filesystem_client_internal_listen_LocalFilesystemListener_getNextChange
  (JNIEnv *env, jclass cls)
{
	jstring ret = NULL;
	struct evt* change = getNextChange();
	if (change != NULL) {
		ret = (*env)->NewStringUTF(env, change->path);
		free(change);
	}
	return ret;
}

JNIEXPORT void JNICALL Java_com_ibm_team_filesystem_client_internal_listen_LocalFilesystemListener_removeDirectory
  (JNIEnv *env, jclass cls, jstring dir)
{
	const char* szdir = (*env)->GetStringUTFChars(env,dir,0);
	unwatch_all_subdirs(szdir);
	(*env)->ReleaseStringUTFChars(env,dir,szdir);
}

#ifdef __cplusplus
}
#endif
