/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include "listener.h"

int main(int argc, char** argv) {
	init();
	printf("Finished initialization\n");
	
	struct evt* change = NULL;
	char** uniquechanges = malloc(sizeof(char)*50000);
	int uniquechangescount = 0;
	int simulatedcount = 0;
	int filescount = 0;
	int folderscount = 0;
	int other = 0;

	if (argc != 2) {
		printf("Usage: test <directory>\n");
		return 1;
	}
	
	watch_all_subdirs(argv[1]);
	
	printf("Finished attaching watchers\n");

	int changecount = 0;

	while (1) {	
		change = getNextChange();
		
		if (change != NULL) {
			char event_type = '-';
			char file_type = '-';
			
			if (change->type & FILE_TYPE_FILE) {
				file_type = 'F';
			} else if (change->type & FILE_TYPE_DIRECTORY) {
				file_type = 'D';
			}
			
			if (change->type & EVENT_TYPE_ADD) {
				event_type = 'A';
			} else if (change->type & EVENT_TYPE_DELETE) {
				event_type = 'D';
			} else if (change->type & EVENT_TYPE_MODIFY) {
				event_type = 'M';
			}
			
			/*printf("Changed(%d): %c %c %s\n",changecount, event_type, file_type, change->path);*/

			/*int i;
			for (i=0; i<uniquechangescount; i++) {
				if (strcmp(uniquechanges[i],change->path) == 0) {
					break;
				}
			}
			if (i == uniquechangescount) {
				uniquechanges[uniquechangescount++] = change->path;*/
				
				if (file_type =='F') {
					filescount++;
				} else if (file_type == 'D') {
					folderscount++;
				} else {
					other++;
				}
				
				if (change->type & 0x20) {
					simulatedcount++;
				}
			/*}*/
			
			printf("Files(%d) Folders(%d) Simulated(%d) Other(%d)\n",filescount,folderscount,simulatedcount,other);
				
			free(change);
		}
	}
	
	
	return 0;
}
