/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
#include "listen.h"
#include "com_ibm_team_filesystem_client_internal_listen_LocalFilesystemListener.h"

JNIEXPORT void JNICALL Java_com_ibm_team_filesystem_client_internal_listen_LocalFilesystemListener_init
(JNIEnv *env, jclass cls) {
	init();
}

JNIEXPORT void JNICALL Java_com_ibm_team_filesystem_client_internal_listen_LocalFilesystemListener_addDirectory
(JNIEnv *env, jclass cls, jstring dir) {
	const char* szdir = (*env)->GetStringUTFChars(env,dir,0);
	listen(CFStringCreateWithCString(kCFAllocatorDefault,szdir,kCFStringEncodingMacRoman));
	(*env)->ReleaseStringUTFChars(env,dir,szdir);
}

JNIEXPORT void JNICALL Java_com_ibm_team_filesystem_client_internal_listen_LocalFilesystemListener_removeDirectory
(JNIEnv *env, jclass cls, jstring dir) {
	const char* szdir = (*env)->GetStringUTFChars(env,dir,0);
	unlisten(szdir);
	(*env)->ReleaseStringUTFChars(env,dir,szdir);
}

JNIEXPORT jstring JNICALL Java_com_ibm_team_filesystem_client_internal_listen_LocalFilesystemListener_getNextChange
(JNIEnv *env, jclass cls) {
	jstring ret = NULL;
	struct evt* change = getNextChange();
	if (change != NULL) {
		ret = (*env)->NewStringUTF(env, change->path);
		free(change);
	}
	return ret;
}
