@rem ***************************************************************************
@rem Licensed Materials - Property of IBM
@rem © Copyright IBM Corporation 2014. All Rights Reserved.
@rem
@rem Note to U.S. Government Users Restricted Rights:  
@rem Use, duplication or disclosure restricted by GSA ADP Schedule 
@rem Contract with IBM Corp.
@rem ***************************************************************************
@ECHO OFF

REM %1:-> Repository URL
REM %2:-> Build result uuid
REM %3:-> Build label
REM %4:-> Anthome
REM %5:-> Destination Directory Path. Avoid Spaces in the path. Example C:\RTC_BUILDS
REM /p:REPOSITORY_URL=${repositoryAddress} /p:BUILD_UUID=${buildResultUUID} /p:BUILD_LABEL=${buildLabel}  /p:ANTHOME=${antHome} /p:DEST_DIR_PATH=${loadDir} /p:TYPE=${type} 
SET BUILD_USER_ID=build
SET REPOSITORY_URL=%1 
ECHO REPOSITORY_URL=%REPOSITORY_URL% 
SET BUILD_UUID=%2
ECHO BUILD_UUID=%BUILD_UUID%
SET BUILD_LABEL=%3
ECHO BUILD_LABEL=%BUILD_LABEL%
SET ANTHOME=%4
ECHO ANTHOME=%ANTHOME%
SET DEST_DIR_PATH=%5
ECHO DEST_DIR_PATH=%DEST_DIR_PATH%
SET TYPE=%6
SET CLASSPATH=%ANTHOME%\ant-launcher.jar
ECHO CLASSPATH=%CLASSPATH%
SET ANT_LAUNCHER=org.apache.tools.ant.launch.Launcher
SET JBE_PASS_FILE=C:\buildPass
SET JAZZ_TOOLKIT=%ANTHOME%\..\..\..\..\..\buildtoolkit
SET OBJS1=winfsnatives.dll
SET OBJS2=fslistener.dll

CALL :StartActivity "Setting 64-bit Build Env..."
CALL :setBuildEnv /XP64
ECHO ******************** Run Makefile for nativesrc in 64-bit Build Env******************
CALL :StartActivity "Runing Makefile for nativesrc in 64-bit Build Env..."
CALL :runMake "Makefile.win32"

CALL :PublishFile %OBJS1% "For 64-bit Build Env" "Application Ext"
CALL :cleanMake "Makefile.win32"

CD %DEST_DIR_PATH%\%BUILD_LABEL%\com.ibm.team.filesystem.client\nativesrc\windows-listener

ECHO ******************** Run Makefile for Windows-listener in 64-bit Build Env******************
CALL :StartActivity "Runing Makefile for Windows-listener in 64-bit Build Env..."
CALL :runMake "Makefile"

CALL :PublishFile "%DEST_DIR_PATH%\%BUILD_LABEL%\com.ibm.team.filesystem.client\nativesrc\windows-listener\%OBJS2%" "For 64-bit Build Env" "Windows Listener Application Ext"
CALL :cleanMake "Makefile"

CD ..

CALL :StartActivity "Setting 32-bit Build Env..."
CALL :setBuildEnv /XP32 
ECHO ******************** Run Makefile for nativesrc in 32-bit Build Env******************
CALL :StartActivity "Runing Makefile for nativesrc in 32-bit Build Env..."
CALL :runMake "Makefile.win32"

CALL :PublishFile %OBJS1% "For 32-bit Build Env" "Application Ext"
CALL :cleanMake "Makefile.win32"

CD %DEST_DIR_PATH%\%BUILD_LABEL%\com.ibm.team.filesystem.client\nativesrc\windows-listener

ECHO ******************** Run Makefile for Windows-listener in 32-bit Build Env******************
CALL :StartActivity "Runing Makefile for Windows-listener in 32-bit Build Env..."
CALL :runMake "Makefile"

CALL :PublishFile "%DEST_DIR_PATH%\%BUILD_LABEL%\com.ibm.team.filesystem.client\nativesrc\windows-listener\%OBJS2%" "For 32-bit Build Env" "Windows Listener Application Ext"
CALL :cleanMake "Makefile"

CD .. 

CALL :StartActivity "Setting 64-bit Itanium Build Env..."
CALL :setBuildEnv /SRV64 
ECHO ******************** Run Makefile for nativesrc in 64-bit IA Build Env******************
CALL :StartActivity "Runing Makefile for nativesrc in 64-bit IA Build Env..."
CALL :runMake "Makefile.win32"

CALL :PublishFile %OBJS1% "For 64-bit IA Build Env" "Application Ext"
CALL :cleanMake "Makefile.win32"

CD %DEST_DIR_PATH%\%BUILD_LABEL%\com.ibm.team.filesystem.client\nativesrc\windows-listener

ECHO ******************** Run Makefile for Windows-listener in 64-bit IA Build Env******************
CALL :StartActivity "Runing Makefile for Windows-listener in 64-bit IA Build Env..."
CALL :runMake "Makefile"

CALL :PublishFile "%DEST_DIR_PATH%\%BUILD_LABEL%\com.ibm.team.filesystem.client\nativesrc\windows-listener\%OBJS2%" "For 64-bit IA Build Env" "Windows Listener Application Ext"
CALL :cleanMake "Makefile"

GOTO :EOF



:PublishFile
ECHO ******************** Publish File:%1 Label:%2 Type:%3 ******************
java -cp %CLASSPATH% %ANT_LAUNCHER% -f "%DEST_DIR_PATH%\%BUILD_LABEL%\com.ibm.team.filesystem.client\nativesrc\jazzBuildTasks.xml" -lib %JAZZ_TOOLKIT% -DuserId=%BUILD_USER_ID% -DpasswordFile=%JBE_PASS_FILE% -DrepositoryAddress=%REPOSITORY_URL% -DbuildResultUUID=%BUILD_UUID% -Dfile=%1 -Dlabel=%2 -Dtype=%3 publishFile
GOTO :EOF

:getVCvariables
CALL "C:\Program Files\Microsoft Visual Studio 9.0\VC\vcvarsall.bat"
ECHO %PATH%
SET PATH = "C:\Program Files\Microsoft.NET\SDK\v1.1\Bin\msvcr71.dll";%PATH%
ECHO %PATH%
CALL "C:\Program Files\Microsoft SDKs\Windows\v7.1\bin\SetEnv.Cmd" %1 /Release 
ECHO %INCLUDE%
REM Call "%MSSDK%\Setup\VCDetect.exe" "%TEMP%\VCInit.bat"
GOTO :EOF

:setBuildEnv
ECHO CPU:%1 Type:/RETAIL 
CALL "C:\Program Files\Microsoft Platform SDK\SetEnv.Cmd" %1 /RETAIL 
ECHO %INCLUDE%
GOTO :EOF

:StartActivity
java -cp %CLASSPATH% %ANT_LAUNCHER% -f "%DEST_DIR_PATH%\%BUILD_LABEL%\com.ibm.team.filesystem.client\nativesrc\jazzBuildTasks.xml" -lib %JAZZ_TOOLKIT% -DuserId=%BUILD_USER_ID% -DpasswordFile=%JBE_PASS_FILE% -DrepositoryAddress=%REPOSITORY_URL% -DbuildResultUUID=%BUILD_UUID% -DactivityLabel=%1 startActivity
GOTO :EOF

:runMake
ECHO MakeFile : %1
nmake -f %1
GOTO :EOF

:cleanMake
ECHO ******************** CLEAN MakeFile : %1 ******************
nmake -f %1 clean
GOTO :EOF